Error
A valid request URL is required to generate request examples{
"status": "00",
"message": "The process was completed successfully",
"data": {
"reference": "310007877416",
"currency": "NGN",
"amount": 240,
"fee": 10,
"product_info": {
"category_id": "1",
"biller_id": "1",
"product_id": "<string>"
},
"payer_info": {
"name": "John Doe",
"email": "john.doe@example.com",
"phone": "08012345678"
},
"custom_properties": [
{
"id": "1",
"description": "custom_property",
"type": "string",
"value": "custom_property"
}
]
}
}{
"status": "01",
"error_code": "MISSING_FIELD",
"message": "The field is missing",
"data": {}
}{
"status": "02",
"message": "The authentication failed",
"data": {}
}{
"status": "03",
"message": "You are not allowed to perform this operation",
"data": {}
}{
"status": "05",
"message": "An unknown error occurred",
"data": {}
}Bill Payments
Validate a Bill
Validate bill payment details before making payment
GET
/
bills
/
{category_id}
/
billers
/
{biller_id}
/
reference
/
{bill_reference}
Error
A valid request URL is required to generate request examples{
"status": "00",
"message": "The process was completed successfully",
"data": {
"reference": "310007877416",
"currency": "NGN",
"amount": 240,
"fee": 10,
"product_info": {
"category_id": "1",
"biller_id": "1",
"product_id": "<string>"
},
"payer_info": {
"name": "John Doe",
"email": "john.doe@example.com",
"phone": "08012345678"
},
"custom_properties": [
{
"id": "1",
"description": "custom_property",
"type": "string",
"value": "custom_property"
}
]
}
}{
"status": "01",
"error_code": "MISSING_FIELD",
"message": "The field is missing",
"data": {}
}{
"status": "02",
"message": "The authentication failed",
"data": {}
}{
"status": "03",
"message": "You are not allowed to perform this operation",
"data": {}
}{
"status": "05",
"message": "An unknown error occurred",
"data": {}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Connection ID for the target bank
Unique key to ensure idempotency of the request
SHA-256 signature of client_secret + ";" + idempotency-key
Path Parameters
Category ID
Biller ID
Bill reference